org.keycloak.userprofile

## Class UserProfileAttributeValidationContext

- java.lang.Object
- - org.keycloak.validate.ValidationContext
  - - org.keycloak.userprofile.UserProfileAttributeValidationContext

-     public class UserProfileAttributeValidationContext
      extends ValidationContext

  Extension of the `ValidationContext` used when validators are called for `UserProfile` attribute validation. Allows easy access to UserProfile related bits, like `AttributeContext`
  Author:
    Vlastimil Elias

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserProfileAttributeValidationContext(AttributeContext attributeContext)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserProfileAttributeValidationContext` | `from(ValidationContext vc)` Easy way to cast me from `ValidationContext` in `Validator` implementation
    `AttributeContext` | `getAttributeContext()`
    `Map<String,Object>` | `getAttributes()`

    - ### Methods inherited from class org.keycloak.validate.ValidationContext

      `addError, getErrors, getSession, isValid, toResult, toString, validator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserProfileAttributeValidationContext

          public UserProfileAttributeValidationContext(AttributeContext attributeContext)

  - ### Method Detail

    - #### from

          public static UserProfileAttributeValidationContext from(ValidationContext vc)

      Easy way to cast me from `ValidationContext` in `Validator` implementation

    - #### getAttributeContext

          public AttributeContext getAttributeContext()

    - #### getAttributes

          public Map<String,Object> getAttributes()

      Overrides:
        `getAttributes` in class `ValidationContext`

Copyright © 2021 JBoss by Red Hat. All rights reserved.